Package org.springframework.cglib.beans

# Class BulkBean

java.lang.Object
org.springframework.cglib.beans.BulkBean

public abstract class BulkBean extends Object

Author:
  Juozas Baliuka

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`static class`
`BulkBean.Generator`

## Field Summary

Fields
Modifier and Type
Field
Description
`protected String[]`
`getters`
`protected String[]`
`setters`
`protected Class`
`target`
`protected Class[]`
`types`

## Constructor Summary

Constructors
Modifier
Constructor
Description
`protected`
`BulkBean()`

## Method Summary

Modifier and Type
Method
Description
`static BulkBean`
`create(Class target, String[] getters, String[] setters, Class[] types)`
`String[]`
`getGetters()`
`Class[]`
`getPropertyTypes()`
`Object[]`
`getPropertyValues(Object bean)`
`abstract void`
`getPropertyValues(Object bean, Object[] values)`
`String[]`
`getSetters()`
`abstract void`
`setPropertyValues(Object bean, Object[] values)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### target

protected Class target

### getters

protected String[] getters

### setters

protected String[] setters

### types

protected Class[] types

## Constructor Details

### BulkBean

protected BulkBean()

## Method Details

### getPropertyValues

public abstract void getPropertyValues(Object bean, Object[] values)

### setPropertyValues

public abstract void setPropertyValues(Object bean, Object[] values)

### getPropertyValues

public Object[] getPropertyValues(Object bean)

### getPropertyTypes

public Class[] getPropertyTypes()

### getGetters

public String[] getGetters()

### getSetters

public String[] getSetters()

### create

public static BulkBean create(Class target, String[] getters, String[] setters, Class[] types)